Java Platform Support

This table provides a quick overview of which Derby releases run on which Java platforms, including the level of JDBC support.

Release

J2ME/CDC/Foundation 1.x

J2SE 1.3

J2SE 1.4

J2SE 5.0

Java SE 6

10.0 releases

not supported

JDBC 2.1

JDBC 3.0

not recommended

not recommended

10.1 releases

Foundation 1.0 JSR 169 (JDBC 3.0 subset)

JDBC 2.1

JDBC 3.0

JDBC 3.0

JDBC 3.0 (not tested)

10.2.1.6 release

Foundation 1.0 JSR 169 (JDBC 3.0 subset)

JDBC 2.1

JDBC 3.0

JDBC 3.0

JDBC 4.0 (pre-release)

10.2.2.0 release

Foundation 1.0 JSR 169 (JDBC 3.0 subset)

JDBC 2.1

JDBC 3.0

JDBC 3.0

JDBC 4.0

10.3.1.4 release

Foundation 1.1 JSR 169 (JDBC 3.0 subset)

not supported

JDBC 3.0

JDBC 3.0

JDBC 4.0

10.3.2.1 release

Foundation 1.1 JSR 169 (JDBC 3.0 subset)

not supported

JDBC 3.0

JDBC 3.0

JDBC 4.0

10.4.1.3 release

Foundation 1.1 JSR 169 (JDBC 3.0 subset)

not supported

JDBC 3.0

JDBC 3.0

JDBC 4.0

trunk - development/10.5

Foundation 1.1 JSR 169 (JDBC 3.0 subset)

not supported

JDBC 3.0

JDBC 3.0

JDBC 4.0

Tested Combinations

Following is the list of platform and jdk combinations where Derby tests have been successfully run (or is being planned), based on the posts to the derby-dev mailing list. Please add combinations you have tested.


Sun JDK and IBM Java SDK

Sun jdk15 and IBM sdk142

Sun JDK only

jdk15

jdk142

jdk131

IBM Java SDK only

sdk 142

sdk131

wsdd5.6

wctme5.7 (jclMax and jclFoundation)

Apple JDK only

jdk142

jdk15

IPv6

jdk15

Apache Harmony

PlatformTestsDerby (last edited 2009-09-20 22:11:16 by localhost)